"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeHashComputations = exports.merkleizeBlockArray = exports.merkleizeBlocksBytes = exports.digestNLevel = exports.digest64 = exports.setHasher = exports.hasher = void 0;
const noble_js_1 = require("./noble.js");
__exportStar(require("./types.js"), exports);
__exportStar(require("./util.js"), exports);
/**
 * Hasher used across the SSZ codebase, by default, this does not support batch hash.
 */
exports.hasher = noble_js_1.hasher;
/**
 * Set the hasher to be used across the SSZ codebase
 *
 * WARNING: This function is intended for power users and must be executed before any other SSZ code is imported
 */
function setHasher(newHasher) {
    exports.hasher = newHasher;
}
exports.setHasher = setHasher;
function digest64(a, b) {
    return exports.hasher.digest64(a, b);
}
exports.digest64 = digest64;
function digestNLevel(data, nLevel) {
    return exports.hasher.digestNLevel(data, nLevel);
}
exports.digestNLevel = digestNLevel;
function merkleizeBlocksBytes(blocksBytes, padFor, output, offset) {
    exports.hasher.merkleizeBlocksBytes(blocksBytes, padFor, output, offset);
}
exports.merkleizeBlocksBytes = merkleizeBlocksBytes;
function merkleizeBlockArray(blocks, blockLimit, padFor, output, offset) {
    exports.hasher.merkleizeBlockArray(blocks, blockLimit, padFor, output, offset);
}
exports.merkleizeBlockArray = merkleizeBlockArray;
function executeHashComputations(hashComputations) {
    exports.hasher.executeHashComputations(hashComputations);
}
exports.executeHashComputations = executeHashComputations;
//# sourceMappingURL=index.js.map